# Get a LinkedIn post

### Get a LinkedIn post

`GET /api/v1/linkedin/posts/{postId}`

Operation ID: `getLinkedinPost`

Returns one post by postId, as returned by a post listing or search. An id copied from a post URL often does not resolve.

**Path parameters**

- `postId` (string, required): Post id as returned by a post listing or search. An id copied from a post URL often does not resolve.

**Query parameters**

- `connectedAccountId` (string · uuid, required): Connected account to act as

**200**: LinkedIn post.

- `post` (object, required)
  - `postId` (string, required): Pass this id to the comment and reaction endpoints.
  - `text` (string, required)
  - `url` (string | null, required)
  - `postedAt` (string · date-time | null, required)
  - `reactionCount` (number | null, required)
  - `commentCount` (number | null, required)
  - `repostCount` (number | null, required)
  - `author` (object | null, required)
    - `publicIdentifier` (string | null, required)
    - `name` (string | null, required)
    - `headline` (string | null, required)
    - `imageUrl` (string | null, required)
    - `isCompany` (boolean, required)

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
